# Interface MemberReferenceTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface MemberReferenceTree extends ExpressionTree
A tree node for a member reference expression. For example:

      expression # [ identifier | new ]

Since:
  1.8

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `MemberReferenceTree.ReferenceMode`
  There are two kinds of member references: (i) method references and (ii) constructor references

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MemberReferenceTree.ReferenceMode`
  `getMode()`
  Returns the mode of the reference.
  `Name`
  `getName()`
  Returns the name of the reference.
  `ExpressionTree`
  `getQualifierExpression()`
  Returns the qualifier expression for the reference.
  `List<? extends ExpressionTree>`
  `getTypeArguments()`
  Returns the type arguments for the reference.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getMode

    MemberReferenceTree.ReferenceMode getMode()
    Returns the mode of the reference.
    Returns:
      the mode

  - ### getQualifierExpression

    ExpressionTree getQualifierExpression()
    Returns the qualifier expression for the reference.
    Returns:
      the qualifier expression

  - ### getName

    Name getName()
    Returns the name of the reference.
    Returns:
      the name

  - ### getTypeArguments

    List<? extends ExpressionTree> getTypeArguments()
    Returns the type arguments for the reference.
    Returns:
      the type arguments